org.apache.solr.client.solrj.impl

## Class CloudSolrClient.RouteResponse

- java.lang.Object
- - org.apache.solr.common.util.NamedList
  - - org.apache.solr.client.solrj.impl.CloudSolrClient.RouteResponse

All Implemented Interfaces:
  Serializable, Cloneable, Iterable

Enclosing class:
  CloudSolrClient

    public static class CloudSolrClient.RouteResponse
    extends NamedList

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.common.util.NamedList

`NamedList.NamedListEntry<T>`

### Field Summary

### Fields inherited from class org.apache.solr.common.util.NamedList

`nvPairs`

### Constructor Summary

Constructors
Constructor and Description
`RouteResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`NamedList` `getRouteResponses()`
`Map<String,LBHttpSolrClient.Req>` `getRoutes()`
`void` `setRouteResponses(NamedList routeResponses)`
`void` `setRoutes(Map<String,LBHttpSolrClient.Req> routes)`

### Methods inherited from class org.apache.solr.common.util.NamedList

`add, addAll, addAll, asMap, asShallowMap, clear, clone, equals, findRecursive, forEach, get, get, getAll, getBooleanArg, getImmutableCopy, getName, getVal, hashCode, indexOf, iterator, remove, remove, removeAll, removeBooleanArg, removeConfigArgs, setName, setVal, size, toSolrParams, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### RouteResponse

    public RouteResponse()

### Method Detail

#### setRouteResponses

    public void setRouteResponses(NamedList routeResponses)

#### getRouteResponses

    public NamedList getRouteResponses()

#### setRoutes

    public void setRoutes(Map<String,LBHttpSolrClient.Req> routes)

#### getRoutes

    public Map<String,LBHttpSolrClient.Req> getRoutes()